libzypp 17.37.10

MediaSetAccess.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <vector>`
`#include <zypp/base/Function.h>`
`#include <zypp/base/ReferenceCounted.h>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp/base/Flags.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/media/MediaManager.h>`
`#include <zypp/Pathname.h>`
`#include <zypp/CheckSum.h>`
`#include <zypp-core/OnMediaLocation>`
`#include <zypp/ManagedFile.h>`
`#include <zypp-core/MirroredOrigin.h>`

Go to the source code of this file.

## Classes
class | zypp::MediaSetAccess
| Media access layer responsible for handling files distributed on a set of media with media change and abort/retry/ingore user callback handling. More...
struct | zypp::MediaSetAccess::ReleaseFileGuard

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
| zypp::DEFINE_PTR_TYPE (MediaSetAccess)
| zypp::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (MediaSetAccess::ProvideFileOptions)